# Задания

## 1. 
Установите Proxmox на две виртульные машины Proxmox. Используйте образ диска `proxmox_7.2.1.iso`. 

Параметры виртульных машин:
- объем памяти RAM 32ГБ,
- число ядер 8,
- объем жёсткого диска 32ГБ,
- vlan 15+X (сетевое устройство подключенное к мосту vmbr15+X), 
- IP из сети `192.168.1.0/24`, 
- шлюз `192.168.1.1`, 
- любой общедоступный DNS, 
- стандартный пароль для пользователя root,
- доменные имена `n[1-2].studX.myoffice.ru`.

## 2.
Объедините узлы в Proxmox кластер. Чтобы использовать доменные имена на данном этапе внесите их в `/etc/hosts`.
```
root@n1 # pvecm create stud15-cluster
root@n1 # systemctl restart corosync
root@n1 # pvecm status
```

```
root@n2 # pvecm add n1.stud15.myoffice.ru
root@n2 # pvecm status
```

## 3.
Настройте доступ к веб-интерфейсу с помощью прокси сервера или туннелей. Схема с туннелями:
```
Ноутбук -----------------> studX.myoffice.ru <------------------- n1.studX.myoffice.ru (vlan 15+X)

n1 $ ssh -R 8006:localhost:8006 stud@studX.myoffice.ru
notebook $ ssh -L 8006:localhost:8006 stud@studX.myoffice.ru
```

## 3.
Создайте виртуальную машину в вашем Proxmox. Скачайте образ `Core` проекта `Tiny Core Linux` http://tinycorelinux.net/downloads.html.

## 4.
Сделать резервное копирование (Backup) виртуальной машины. Выберите тип режима `Stop` без сжатия. Извлеките образ из архивного формата vma (https://git.proxmox.com/?p=pve-qemu.git;a=blob;f=vma_spec.txt)
```
vma extract -v /var/lib/vz/dump/vzdump-qemu-100-2022_10_28-17_24_31.vma /tmp/exported_vm_100.img
``` 

Сконвертируйте образ диска в формат VHD утилитой `qemu-img`. Пример команды
```
$ qemu-img convert -f raw -O qcow2 /tmp/exported_vm_100.img /tmp/exported_vm_100.vhd
```

Объем пространства, занимаемый образом, можно определить с помощью команд `qemu-img info` или `ls -ls`;

## 5.
Сделать снимок (Snapshot) виртуальной машины.

## 6.
Создайте новые vlan и vmbr .

## 7.
Проведите миграцию виртуальной машины с одного узла на другой.

## 8.
Увеличить объем диска виртуальной машины.

## 9.
Посмотрите параметры виртуальной машины в терминале утилитой `qm`.

## 10.
Настроите перезапуск виртуальной машины в случае отказа.

## 11.
Выведите список виртуальных машин в терминале.